Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/index.php/Reporting_Bug_Guidelines

Do NOT report bugs when a package is just outdated, or it is in Unsupported. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#46059 - [pinentry] packages with libsecret and gnome3 support

Attached to Project: Arch Linux
Opened by André (aandre) - Friday, 21 August 2015, 21:51 GMT
Last edited by Gaetan Bisson (vesath) - Tuesday, 20 September 2016, 06:49 GMT
Task Type Feature Request
Category Packages: Core
Status Closed
Assigned To Tobias Powalowski (tpowa)
Gaetan Bisson (vesath)
Architecture All
Severity Low
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 5
Private No

Details

Description:

Please package pinentry with libsecret and gnome3 support,
to re-enable saving GnuPG passphrases in gnome-keyring
which isn't working since the update to GnuPG 2.1.

See also
https://bugzilla.gnome.org/show_bug.cgi?id=750514#c3

Thanks.
This task depends upon

Closed by  Gaetan Bisson (vesath)
Tuesday, 20 September 2016, 06:49 GMT
Reason for closing:  Implemented
Additional comments about closing:  pinentry-0.9.7-3 in [core]
Comment by Gaetan Bisson (vesath) - Saturday, 05 December 2015, 03:44 GMT
Sorry but doing this would introduce libsecret as a hard dependency for *all* pinentry applications, not just pinentry-gnome3:

pinentry E: Dependency libsecret detected and not included (libraries ['usr/lib/libsecret-1.so.0'] needed in files ['usr/bin/pinentry-tty', 'usr/bin/pinentry-gtk-2', 'usr/bin/pinentry-curses', 'usr/bin/pinentry-qt'])

I am not prepared to support libsecret in [core] at this stage.
Comment by Jan Steffens (heftig) - Thursday, 15 September 2016, 07:57 GMT
Can we look at this again, please? libsecret isn't that big, and its dependencies glib2 and libgcrypt have over 99.8% penetration (libsecret itself is at 87.94%). I would move it to [core].
Comment by Gaetan Bisson (vesath) - Thursday, 15 September 2016, 16:36 GMT
Alright. Does pinentry-0.9.7-3 from [staging] work for you? If it does, please mose libsecret to [core]. Cheers.
Comment by Jan Steffens (heftig) - Thursday, 15 September 2016, 18:46 GMT
Seems to work fine. pinentry-curses, -gtk-2, -gnome3 and -qt all work and use the password from gnome-keyring if it's in there. Only -gtk-2 and -gnome3 actually give the option of saving it.
Comment by Jan Steffens (heftig) - Thursday, 15 September 2016, 18:48 GMT
libsecret moved to [core]; thank you.

Loading...